[2/2] travis: add more tests to maximise code coverage

Submitted by Andrei Vagin on July 5, 2016, 7:57 p.m.

Details

Message ID 1467748624-10480-2-git-send-email-avagin@openvz.org
State Accepted
Series "Series without cover letter"
Commit aeb8a5975cfaca37c61c667d1d8633c9c7e605d5
Headers show

Commit Message

Andrei Vagin July 5, 2016, 7:57 p.m.
From: Andrew Vagin <avagin@virtuozzo.com>

Signed-off-by: Andrew Vagin <avagin@virtuozzo.com>
---
 scripts/travis-tests       | 28 +++++++++++++++++++++++++++-
 test/jenkins/criu-fault.sh |  1 +
 test/jenkins/criu-lib.sh   |  3 ++-
 3 files changed, 30 insertions(+), 2 deletions(-)

Patch hide | download patch | download mbox

diff --git a/scripts/travis-tests b/scripts/travis-tests
index 57a0be8..c45ec52 100755
--- a/scripts/travis-tests
+++ b/scripts/travis-tests
@@ -11,7 +11,33 @@  chmod a+x $HOME
 export GCOV=1
 make
 make -C test/zdtm
-python test/zdtm.py run -a -x 'cgroup*'
+
+./criu/criu check
+./criu/criu check --all || echo $?
+./criu/criu cpuinfo dump
+./criu/criu cpuinfo check
+
+umask 0000
+export SKIP_PREP=1
+
+./test/zdtm.py run -a -x 'cgroup*'
+
+bash ./test/jenkins/criu-fault.sh
+bash ./test/jenkins/criu-fcg.sh
+bash ./test/jenkins/criu-inhfd.sh
+
+make -C test/others/mnt-ext-dev/ run
+
+./test/zdtm.py run -t zdtm/static/env00 --sibling
+
+./test/zdtm.py run -t zdtm/transition/maps007 --pre 2 --dedup
+./test/zdtm.py run -t zdtm/transition/maps007 --pre 2 --page-server
+
+./test/zdtm.py run -t zdtm/static/socket-tcp-local --norst
+
+ip net add test
+./test/zdtm.py run --unshare -t zdtm/static/env00
+./test/zdtm.py run -t zdtm/static/env00 -f h --join-ns
 
 pip install flake8
 make lint
diff --git a/test/jenkins/criu-fault.sh b/test/jenkins/criu-fault.sh
index 6a55aac..113d47d 100755
--- a/test/jenkins/criu-fault.sh
+++ b/test/jenkins/criu-fault.sh
@@ -1,3 +1,4 @@ 
+#!/bin/bash
 # Check known fault injections
 set -e
 source `dirname $0`/criu-lib.sh
diff --git a/test/jenkins/criu-lib.sh b/test/jenkins/criu-lib.sh
index bfbdc6b..d244434 100644
--- a/test/jenkins/criu-lib.sh
+++ b/test/jenkins/criu-lib.sh
@@ -6,6 +6,7 @@  function exit_hook()
 
 function prep()
 {
+	test -n "$SKIP_PREP" && return
 	# systemd executes jenkins in a separate sched cgroup.
 	echo 950000 > /sys/fs/cgroup/cpu,cpuacct/system/cpu.rt_runtime_us || true
 	echo 950000 > /sys/fs/cgroup/cpu,cpuacct/system/jenkins.service/cpu.rt_runtime_us || true
@@ -24,7 +25,7 @@  function prep()
 
 function mount_tmpfs_to_dump()
 {
-		
+	test -n "$SKIP_PREP" && return	
 	mkdir -p test/dump &&
 	mount -t tmpfs criu_dump test/dump &&
 	true